<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.batch-jberet" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="restart-jobs-on-resume,security-domain,default-job-repository,default-thread-pool"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.batch-jberet"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.batch.configuration"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.batch.job.repository.$default-job-repository"/>
        <capability name="$profile.org.wildfly.transactions.global-default-local-provider"/>
        <capability name="$profile.org.wildfly.security.security-domain.$security-domain" optional="true"/>
        <capability name="$profile.org.wildfly.batch.thread.pool.$default-thread-pool"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="restart-jobs-on-resume" nillable="true" stability="default"/>
        <param name="security-domain" nillable="true" stability="default"/>
        <param name="extension" default="org.wildfly.extension.batch.jberet"/>
        <param name="default-job-repository" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="batch-jberet"/>
        <param name="default-thread-pool" stability="default"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.batch.jberet"/>
    </packages>
</feature-spec>